| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
control.h File Reference

## Classes
class | wxControl
| This is the base class for a control or "widget". More...

## Enumerations
enum | wxEllipsizeFlags { wxELLIPSIZE_FLAGS_NONE = 0, wxELLIPSIZE_FLAGS_PROCESS_MNEMONICS = 1, wxELLIPSIZE_FLAGS_EXPAND_TABS = 2, wxELLIPSIZE_FLAGS_DEFAULT }
| Flags used by wxControl::Ellipsize function. More...
enum | wxEllipsizeMode { wxELLIPSIZE_NONE, wxELLIPSIZE_START, wxELLIPSIZE_MIDDLE, wxELLIPSIZE_END }
| The different ellipsization modes supported by the wxControl::Ellipsize function. More...

## Enumeration Type Documentation

enum wxEllipsizeFlags

Flags used by wxControl::Ellipsize function.

Enumerator:

  wxELLIPSIZE_FLAGS_NONE | No special flags.
  wxELLIPSIZE_FLAGS_PROCESS_MNEMONICS | Take mnemonics into account when calculating the text width. With this flag when calculating the size of the passed string, mnemonics characters (see wxControl::SetLabel) will be automatically reduced to a single character. This leads to correct calculations only if the string passed to Ellipsize() will be used with wxControl::SetLabel. If you don't want ampersand to be interpreted as mnemonics (e.g. because you use wxControl::SetLabelText) then don't use this flag.
  wxELLIPSIZE_FLAGS_EXPAND_TABS | Expand tabs in spaces when calculating the text width. This flag tells wxControl::Ellipsize() to calculate the width of tab characters `'\t'` as 6 spaces.
  wxELLIPSIZE_FLAGS_DEFAULT | The default flags for wxControl::Ellipsize.

enum wxEllipsizeMode

The different ellipsization modes supported by the wxControl::Ellipsize function.

Enumerator:

  wxELLIPSIZE_NONE | Don't ellipsize the text at all. Since 2.9.1
  wxELLIPSIZE_START | Put the ellipsis at the start of the string, if the string needs ellipsization.
  wxELLIPSIZE_MIDDLE | Put the ellipsis in the middle of the string, if the string needs ellipsization.
  wxELLIPSIZE_END | Put the ellipsis at the end of the string, if the string needs ellipsization.